/* -*-C-*- xstat.h */
/**********************************************************************/
/******************************** stat ********************************/
/**********************************************************************/

#ifndef STAT_H_DEFINED__
#define STAT_H_DEFINED__

/***********************************************************************
This file includes the system stat.h file, which does not have a
standard location.

On ULTRIX and System V, the system stat.h cannot be included more than
once, because the compilers raise errors about duplicate (although
identical) definitions of struct stat; the code here prevents that
from happening.
***********************************************************************/

#ifndef OS_H_DEFINED__
#include "os.h"
#endif /* OS_H_DEFINED__ */

#if    (OS_ATARI | OS_VAXVMS | OS_VMCMS)
#define NO_SYS_DIR	1
#endif /* (OS_ATARI | OS_VAXVMS | OS_VMCMS) */

#if    OS_TOPS20
#if    STDC				/* then KCC version 6 or later */
#else					/* PCC, or KCC version 5 or earlier */
#define NO_SYS_DIR	1
#endif /* STDC */
#endif /* OS_TOPS20 */

#ifdef NO_SYS_DIR
#include <stat.h>
#undef NO_SYS_DIR
#else /* NOT NO_SYS_DIR */
#include <sys/stat.h>
#endif /* NO_SYS_DIR */

#endif /* STAT_H_DEFINED__ */
